﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Threading;

namespace GoogleTranslator
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void _btnTranslator_Click(object sender, RoutedEventArgs e)
        {
            // Initialize the translator
            Translator t = new Translator();
            t.SourceLanguage = this._comboFrom.Text;
            t.TargetLanguage = this._comboTo.Text;
            t.SourceText = UrlEncode(this._editSourceText.Text);
            this._editTarget.Text = string.Empty;
            try
            {
                // Forward translation
                this.Cursor = Cursors.Wait;
                this._lblStatus.Content = "Translating...";
                t.Translate();
                this._editTarget.Text = t.Translation;

            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, this.Content.ToString(), MessageBoxButton.OK, MessageBoxImage.Exclamation);
            }
            finally
            {
                this.Cursor = Cursors.Arrow;
                this._lblStatus.Content = string.Empty;
            }
        }


        public  string UrlEncode(string str)
        {
            StringBuilder sb = new StringBuilder();
            byte[] byStr = System.Text.Encoding.UTF8.GetBytes(str); //默认是System.Text.Encoding.Default.GetBytes(str)
            for (int i = 0; i < byStr.Length; i++)
            {
                sb.Append(@"%" + Convert.ToString(byStr[i], 16));
            }
            
            return (sb.ToString());
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this._comboFrom.Text = "English";
            this._comboTo.Text = "Chinese";
        }

        private void btnChange_Click(object sender, RoutedEventArgs e)
        {
           string temp = this._comboFrom.Text;
           this._comboFrom.Text= this._comboTo.Text;
           this._comboTo.Text = temp;

        }
    }
}
